# Generated from merb-slices-1.0.15.gem by gem2rpm -*- rpm-spec -*-
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname merb-slices
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

%global rubyabi 1.8

Summary: Merb plugin for using and creating application 'slices'
Name: rubygem-%{gemname}
Version: 1.0.15
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://merbivore.com
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
Requires: ruby(abi) = %{rubyabi}
Requires: rubygem(merb-core)
BuildRequires: ruby(rubygems)
BuildRequires: ruby(abi) = %{rubyabi}
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Merb plugin for using and creating application 'slices' which help you
modularize your application. Usually these slices are reusable extractions
from the main application. A module is set up to serve as a namespace for
controller, models, helpers, etc.

Installing this package will provide the capability to run a Merb application
slice.

This package contains the slice binary and merb-slices library.

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

%build
mkdir -p .%{gemdir}
gem install -V \
  --local \
  --install-dir $(pwd)/%{gemdir} \
  --force --rdoc \
  %{SOURCE0}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

find %{buildroot}%{geminstdir}/bin -type f | \
  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby"'

%clean
rm -rf %{buildroot}

# TODO: No %%check yet, current Rakefile has dependency on missing file. Wait
#       until next release where the Rakefile looks cleaned up.

%files
%defattr(-,root,root,-)
%{_bindir}/slice
%doc %{geminstdir}/[A-Z]*
%dir %{geminstdir}
%{geminstdir}/bin
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/Rakefile
%{geminstdir}/Generators
%{geminstdir}/spec
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Mon Dec 07 2009 Matthew Kent <mkent@magoazul.com> - 1.0.15-1
- Initial package
- Thanks to Joshua Timberman for the nice descriptions.
